DtMmdbSectionGetTocLoc(library call)

NAME
DtMmdbSectionGetTocLoc — obtains the locator for a book's TOC section

SYNOPSIS

#include &<DtMmdb.h>
const char* DtMmdbSectionGetTocLoc(
DtMmdbInfoRequest* request);

DESCRIPTION

The DtMmdbSectionGetTocLoc function returns the locator of the TOC section of the book that contains the specified section. Table lookup is involved if the section identifier is specified by the locator_ptr field.

ARGUMENTS

request
    Specifies the bookcase in the bookcase descriptor field and either the section's Database Engine identifier (in the primary_oid field) or the section's logical identifier (in the locator_ptr field). If both of these fields have a value, DtMmdbSectionGetTocLoc uses the locator_ptr value.

RETURN VALUE

If DtMmdbSectionGetTocLoc completes successfully, it returns a pointer to the book's TOC section. If it fails, it returns a NULL pointer.

EXAMPLE

The following shows how a DtMmdbSectionGetTocLoc call might be coded.

DtMmdbInfoRequest request;
/* fill the request here */
locator = DtMmdbSectionGetTocLoc(&&request);

SEE ALSO

TO BE SUPPLIED